package com.template.api;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.Api;

import javax.servlet.http.HttpServletRequest;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

@RequestMapping({"/eventRcv"})
@Api(tags = {"HikvisionController"}, value = "海康威视回调地址")
public interface HikvisionAPI {
    @PostMapping({"/subscription"})
    void subscription(HttpServletRequest request);

    @PostMapping({"/faceComparison"})
    void faceComparison(HttpServletRequest request);

    @PostMapping({"/emphasisFace"})
    void emphasisFace(HttpServletRequest request);

    @PostMapping({"/playback"})
    JSONObject playback();

    @PostMapping({"/general"})
    JSONObject general(@RequestBody JSONObject jsonObject);
}
